<template>
  <v-dialog :value="value" @input="$emit('input')" width="500">
    <v-card align="center" height="270" rounded>
      <v-icon
        large
        color="primary"
        style="font-size: 100px; padding-bottom: 20px; padding-top: 20px"
      >
        mdi-alert-circle
      </v-icon>
      <v-card-title style="justify-content: center">{{this.message}}</v-card-title>
      <v-card-actions class="d-flex justify-center">
        <v-btn
          depressed
          color="primary"
          style="padding:15px"
          rounded
          outlined
          @click="$emit('input')">
          Cancelar
        </v-btn>
        <v-btn depressed color="primary" style="padding:15px" rounded @click="cancelAppointment">
          Enviar
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<script>
import { mapActions } from 'vuex';

export default {
  props: {
    value: Boolean,
    message: String,
    idAppointment: String,
  },
  name: 'AlertAction',
  data: () => ({

  }),
  methods: {
    ...mapActions({
      cancelAppointments: 'specialist/appointments/cancelAppointments',
    }),
    cancelAppointment() {
      console.log(`La cita con id:${this.idAppointment} ha sido cancelada`);
      this.cancelAppointments({ idAppointment: this.idAppointment })
        .then((response) => {
          this.$emit('refresh');
        });
      this.$emit('input');
    },
  },
};
</script>

<style scoped>

</style>
